{% extends '::base.html.twig' %} 

{% block title %}Lista Negra de Clientes{% endblock %}
{% form_theme form_lncl '::Forms/bootstrapForm.html.twig' %}

{% block stylesheets %}
	<style>		
		#form_consulta_datos {
			margin: 0px 5%;
		}
	</style>
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">
		



      <div class="at_crcobranza">
			 <div id="bt_opmenu">
			 	{{ form_start(form_lncl, {'attr': {'id': 'form_consulta_datos'}}) }}
                  {% for row in [
                    [ ['nombre'],		['App'],  		['Apm'] ],
                    [ ['ConsultarCliente'],   	['nuevoCliente'],  ['ExcelCliente'] ]
                    ] 
                  %}
                    <div class="row">   
                    {% for field in row %}
                      <div class="col-xs-{{ field[1] is defined ? field[1] * 4 :  4 }}">
                        {% if (attribute(form_lncl, field[0]) is defined) %}
                          {{ form_row(attribute(form_lncl, field[0])) }}
                        {% endif %}
                      </div>
                    {% endfor %}
                    </div>
                  {% endfor %}
                  {{ form_rest(form_lncl) }}
                  {{ form_end(form_lncl) }}			 	
      		</div>
      	<div class="table-responsive">	      	
      		<table id='tbl_operaciones' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<td style="width: 4385px !important;">Cliente</td>
						<td style="width: 844px !important;">Activo</td>
					</tr>
				</thead>
				<tbody id="body_tbl_operaciones" style="background: white;">
						{% for entity in clientes %}
					<tr>
						<td>{{ entity.NombreCompleto }}</td>
						<td>
							<div class="col-md-12"><input {{ entity.Activo == 1 ? 'checked' }} type="checkbox" style="width: 30px;height:30px;" id="{{ entity.idCliente }}" onchange="activarCliente({{ entity.idCliente }},this);"/></div>
						</td>	
					</tr>	
						{% endfor %}	
				</tbody>
			</table>	
		</div>								
      </div>

<!--POP-UP PARA NUEVA DIRECCIÓN-->

      	<div class="modal fade bs-example-modal-lg modal_base" id="pop_newCliente" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
		  <div class="modal-dialog modal-lg">
		    <div class="modal-content">
			      	<div class="modal-header">
			      		<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
			        	<h4 class="modal-title" id="myModalLabel">Nuevo Cliente</h4>
			      	</div>
				    <div class="modal-body">
				    		{{ form_start(form_newcliente) }}
			                  {% for row in [
			                    [ ['newnombre'],   ['newApp'],  ['newApm'] ],
			                    [ ['Guardar'] ],
			                    ] 
			                  %}
			                    <div class="row">   
			                    {% for field in row %}
			                      <div class="col-xs-{{ field[1] is defined ? field[1] * 4 :  4 }}">
			                        {% if (attribute(form_newcliente, field[0]) is defined) %}
			                          {{ form_row(attribute(form_newcliente, field[0])) }}
			                        {% endif %}
			                      </div>
			                    {% endfor %}
			                    </div>
			                  {% endfor %}
			                  {{ form_rest(form_newcliente) }}
			                  {{ form_end(form_newcliente) }}	
				    </div>	
		    </div>	
		  </div>
		</div>

<!--POP-UP PARA CARGA DE EXCEL LISTA NEGRA DIRECCIONES-->

      	<div class="modal fade modal_base" id="pop_cargaExcel" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
		  <div class="modal-dialog ">
		    <div class="modal-content">
			      	<div class="modal-header">
			      		<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
			        	<h4 class="modal-title" id="myModalLabel">Carga de Excel <b>LISTA NEGRA DE CLIENTES</b></h4>
			      	</div>
				    <div class="modal-body">
				    		{{ form_start(form_excelcliente) }}
			                  {% for row in [
			                    [ ['archivo',2],    		['Enviar']]
			                    ] 
			                  %}
			                    <div class="row">   
			                    {% for field in row %}
			                      <div class="col-xs-{{ field[1] is defined ? field[1] * 4 :  4 }}">
			                        {% if (attribute(form_excelcliente, field[0]) is defined) %}
			                          {{ form_row(attribute(form_excelcliente, field[0])) }}
			                        {% endif %}
			                      </div>
			                    {% endfor %}
			                    </div>
			                  {% endfor %}
			                  {{ form_rest(form_excelcliente) }}
			                  {{ form_end(form_excelcliente) }}
				    </div>	
		    </div>	
		  </div>
		</div>


	</div>
{% endblock %}
{% block javascripts %}
	<script>
		$(document).ready(function() {
        	var table = $('#tbl_operaciones').DataTable({
        					"language":DataTables.languaje.es					
        				});

        	$( "select" ).addClass( "form-control" );
        	$( "input[type='text']" ).addClass( "form-control" );        	
			$( "input[type='search']").addClass( "form-control" );
        	$( "#tbl_operaciones_length" ).addClass( "form-inline" ); 
        	$( "#tbl_operaciones_filter" ).addClass( "form-inline" );
       
    	});

    	function loadClientes(){
			showLoading("Buscando...");
		}

		function popupNewCliente(){
			$('#pop_newCliente').modal({
		      backdrop: 'static',
		      keyboard: false
		    });
		}

		function popupLoadExcel(){
			$('#pop_cargaExcel').modal({
		      backdrop: 'static',
		      keyboard: false
		    });
		}

    	function newCliente(){
    		var nombre = $('#form_newnombre').val();
    		var app = $('#form_newApp').val();
    		var apm = $('#form_newApm').val();

    		if(nombre && app){
    			var fullname = nombre+" "+app+" "+apm;
    			showLoading("Registrando Cliente...");
		   			var urlActivacion = "{{path('set_cliente_ln')}}"; 
		   	
				   $.post(urlActivacion, {cliente:fullname}, function(data, textStatus, xhr) {

					  if(data.estado == 1){
					  	
					  	hideLoading();
					  	alert(data.mensaje);

					  }else{

					  	hideLoading();
					  	alert(data.mensaje);
					  }
					   
					});
					
    		}else{
    			alert("Debe indicar:</br>->Nombre(s)</br>->Apellido Paterno");
    		}
    	}

    	function activarCliente(idCliente,self){
		   	showLoading("Actualizando Cliente...");
		   	var urlActivacion = "{{path('_ActivarCliente')}}"; 
		   	
		   $.post(urlActivacion, {idCliente:idCliente,valor:self.checked}, function(data, textStatus, xhr) {

			  if(data.estado == 1){
			  	
			  	hideLoading();
			  	alert(data.mensaje);
			  }else{
			  	if(self.checked){
			  		$('#'+idCliente).prop('checked', false);
			  	}else{
			  		$('#'+idCliente).prop('checked', true);
			  	}
			  	hideLoading();
			  	alert('Error en la Activación/Desactivación de Direcciones');
			  }
			   
			});

    	}

	</script>
{% endblock %}